#include<bits/stdc++.h>
using namespace std;
const int maxn=3e7+2;
int cnt[maxn];
int curr[maxn];
bool used[maxn];
std::vector<int> solve(std::vector<int> A) {
vector<int>k;
for(int i=0; i<A.size(); i++) cnt[A[i]]++;
for(int i=0; i<A.size(); i++) {
     if(curr[A[i]]*2==cnt[A[i]]) {
           continue;
     }
     k.push_back(i);
     curr[A[i]]++;
     used[i]=true;

}
for(int i=0; i<A.size(); i++) {
       if(!used[i]) k.push_back(i);
}
return k;
}


